Gentoo Archives: gentoo-commits

From: "Michał Górny" <mgorny@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/linuxdoc-tools/
Date: Wed, 11 Sep 2019 17:58:17
Message-Id: 1568224652.ffb5f0b94d7db3816984820506d0d3c3538324cb.mgorny@gentoo
commit:     ffb5f0b94d7db3816984820506d0d3c3538324cb
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  4 11:40:24 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 11 17:57:32 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ffb5f0b9

app-text/linuxdoc-tools: Bump to EAPI 7, use sgml-catalog-r1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../linuxdoc-tools/linuxdoc-tools-0.9.73-r1.ebuild | 86 ++++++++++++++++++++++
 1 file changed, 86 insertions(+)

diff --git a/app-text/linuxdoc-tools/linuxdoc-tools-0.9.73-r1.ebuild b/app-text/linuxdoc-tools/linuxdoc-tools-0.9.73-r1.ebuild
new file mode 100644
index 00000000000..4f2129a2644
--- /dev/null
+++ b/app-text/linuxdoc-tools/linuxdoc-tools-0.9.73-r1.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools latex-package perl-functions sgml-catalog-r1 toolchain-funcs
+
+DESCRIPTION="A toolset for processing LinuxDoc DTD SGML files"
+HOMEPAGE="https://gitlab.com/agmartin/linuxdoc-tools"
+SRC_URI="https://gitlab.com/agmartin/linuxdoc-tools/-/archive/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3+ MIT SGMLUG"
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~ppc ~sparc ~x86 ~x86-fbsd"
+IUSE="doc"
+
+RDEPEND="
+	|| ( app-text/openjade app-text/opensp )
+	app-text/sgml-common
+	dev-lang/perl:=
+	sys-apps/groff
+"
+DEPEND="${RDEPEND}
+	sys-devel/flex
+	virtual/awk
+	doc? (
+		dev-texlive/texlive-fontsrecommended
+		virtual/latex-base
+	)
+"
+
+src_prepare() {
+	default_src_prepare
+	# Pregenerated configure scripts fail.
+	eautoreconf
+}
+
+src_configure() {
+	perl_set_version
+	tc-export CC
+	local myeconfargs=(
+		--disable-docs
+		--with-texdir="${TEXMF}/tex/latex/${PN}"
+		--with-perllibdir="${VENDOR_ARCH}"
+		--with-installed-iso-entities
+	)
+	use doc && myeconfargs+=(--enable-docs="txt pdf html")
+
+	econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+	# Prevent access violations from bitmap font files generation.
+	use doc && export VARTEXFONTS="${T}/fonts"
+	default_src_compile
+}
+
+src_install() {
+	# Makefile ignores docdir configuration option.
+	emake DESTDIR="${D}" docdir="${EPREFIX}/usr/share/doc/${PF}" install
+	dodoc ChangeLog README
+
+	insinto /etc/sgml
+	newins - linuxdoc.cat <<-EOF
+		CATALOG "${EPREFIX}/usr/share/linuxdoc-tools/linuxdoc-tools.catalog"
+	EOF
+}
+
+pkg_preinst() {
+	# work around sgml-catalog.eclass removing it
+	cp "${ED}"/etc/sgml/linuxdoc.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/linuxdoc.cat ]]; then
+		cp "${T}"/linuxdoc.cat "${EROOT}"/etc/sgml/ || die
+	fi
+
+	latex-package_pkg_postinst
+	sgml-catalog-r1_pkg_postinst
+}
+
+pkg_postrm() {
+	latex-package_pkg_postrm
+	sgml-catalog-r1_pkg_postrm
+}